Bug 112122 - i/o error - 1 bad file - stops up2date completely
i/o error - 1 bad file - stops up2date completely
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks: 124619
  Show dependency treegraph
 
Reported: 2003-12-14 22:49 EST by George Garvey
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 15:18:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George Garvey 2003-12-14 22:49:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
Fetching Obsoletes list for channel: fedora-pending-unstable...
 
Fetching Obsoletes list for channel: flash...
 
Fetching Obsoletes list for channel: livna-stable-fc1...
 
Fetching rpm headers...
There was some sort of I/O error: Not a gzipped file

These are the last few lines from up2date. After the GUI hung, I tried
to get xmms by itself. It appears that one person's carelessness
(which is not infrequent) renders the tool and all repositories
useless unless the repository list is modified, until the bad file is
replaced. The GUI hung while getting a header for MAKEDEV, or so it
was displaying.

Version-Release number of selected component (if applicable):
up2date-4.3.1-2

How reproducible:
Always

Steps to Reproduce:
1. Put a bad file on an up2date repository.
2.
3.
    

Additional info:

Some workaround would be nice. Try the download again, to see if it is
a spurious error. If not, go on without that file. Obviously this make
still make it impossible to use due to dependencies sometimes. The way
it is now, it is unusable until someone replaces the file.

This happens too often not to program a way to deal with it. A minimum
fix would be to report the repository with the problem, so one could
continue to use the tool without having to figure out what is broken
in the absence of specific diagnostics from the tool.
Comment 1 Nick Thorley 2004-04-19 04:40:06 EDT
Please could someone update this to confirm if it is a problem with
the mirror.  I also have this fault and i dont believe it is the
mirror - i have one machine that gets the error and another that works
fine but the same mirrors are used - could it be a fault in sources file??

Thanks
Comment 2 Need Real Name 2004-10-20 04:47:22 EDT
I get this constantly. fc3t3.
Comment 3 Matthew Miller 2006-07-11 13:23:03 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 4 John Thacker 2006-10-28 15:18:52 EDT
Closing per lack of response.  Note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  Please install a still supported
version and retest.  If this still occurs on FC3 or FC4 and is a
security issue, please assign to that version and Fedora Legacy.

Note that up2date is not present in FC5 or FC6, the only current non-Legacy
Fedora Core releases.  However, related bugs may occur in yum, pirut, or other
updating mechanisms.

Note You need to log in before you can comment on or make changes to this bug.